/v1/brands/{id} (PATCH)
PATCH
/v1/brands/{id}
const url = 'https://example.com/v1/brands/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0';const options = { method: 'PATCH', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"name":"example","city":"example","street":"example","zipcode":"example","country_id":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","locale":"example","email":"example","phone":"example","managing_director_under_commercial_law":"example","vat":"example","company_registration_number":"example","producer_identification_number":"example","organic_certification_number":"example","commercial_court":"example","logo_id":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","primary_brand_asset_id":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","default_bottler_id":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","default_distributor_id":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","ppwr_importer_id":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","ppwr_manufacturer_id":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","website":"example","webshop":"example","imprint":"example","imprint_href":"example","privacy_href":"example","facebook":"example","instagram":"example","youtube":"example","tiktok":"example","linkedin":"example","label_bg_hero_color":"example","is_primary_brand":true}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PATCH \ --url https://example.com/v1/brands/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "name": "example", "city": "example", "street": "example", "zipcode": "example", "country_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "locale": "example", "email": "example", "phone": "example", "managing_director_under_commercial_law": "example", "vat": "example", "company_registration_number": "example", "producer_identification_number": "example", "organic_certification_number": "example", "commercial_court": "example", "logo_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "primary_brand_asset_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "default_bottler_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "default_distributor_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "ppwr_importer_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "ppwr_manufacturer_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "website": "example", "webshop": "example", "imprint": "example", "imprint_href": "example", "privacy_href": "example", "facebook": "example", "instagram": "example", "youtube": "example", "tiktok": "example", "linkedin": "example", "label_bg_hero_color": "example", "is_primary_brand": true }'Update a brand. Only the listed fields are writable; omitted keys are untouched, explicit null clears a nullable field. Email, phone and managing director are the brand’s business contact data and are writable.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string format: uuid
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
name
string
city
string | null
street
string | null
zipcode
string | null
country_id
string | null format: uuid
locale
string | null
email
string | null
phone
string | null
managing_director_under_commercial_law
string | null
vat
string | null
company_registration_number
string | null
producer_identification_number
string | null
organic_certification_number
string | null
commercial_court
string | null
logo_id
string | null format: uuid
primary_brand_asset_id
string | null format: uuid
default_bottler_id
string | null format: uuid
default_distributor_id
string | null format: uuid
ppwr_importer_id
string | null format: uuid
ppwr_manufacturer_id
string | null format: uuid
website
string | null
webshop
string | null
imprint
string | null
imprint_href
string | null
privacy_href
string | null
facebook
string | null
instagram
string | null
youtube
string | null
tiktok
string | null
linkedin
string | null
label_bg_hero_color
string | null
is_primary_brand
boolean
Example generated
{ "name": "example", "city": "example", "street": "example", "zipcode": "example", "country_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "locale": "example", "email": "example", "phone": "example", "managing_director_under_commercial_law": "example", "vat": "example", "company_registration_number": "example", "producer_identification_number": "example", "organic_certification_number": "example", "commercial_court": "example", "logo_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "primary_brand_asset_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "default_bottler_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "default_distributor_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "ppwr_importer_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "ppwr_manufacturer_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "website": "example", "webshop": "example", "imprint": "example", "imprint_href": "example", "privacy_href": "example", "facebook": "example", "instagram": "example", "youtube": "example", "tiktok": "example", "linkedin": "example", "label_bg_hero_color": "example", "is_primary_brand": true}Responses
Section titled “Responses”The updated brand
Media typeapplication/json
object
id
required
string format: uuid
workspace_id
required
string format: uuid
name
required
string
slug
required
string | null
is_primary_brand
required
boolean
is_published
required
boolean
short_url
required
string | null
locale
required
string | null
country_id
required
string | null format: uuid
city
required
string | null
street
required
string | null
zipcode
required
string | null
email
required
string | null
phone
required
string | null
managing_director_under_commercial_law
required
string | null
vat
required
string | null
company_registration_number
required
string | null
producer_identification_number
required
string | null
organic_certification_number
required
string | null
commercial_court
required
string | null
logo_id
required
string | null format: uuid
primary_brand_asset_id
required
string | null format: uuid
default_bottler_id
required
string | null format: uuid
default_distributor_id
required
string | null format: uuid
ppwr_importer_id
required
string | null format: uuid
ppwr_manufacturer_id
required
string | null format: uuid
website
required
string | null
webshop
required
string | null
imprint
required
string | null
imprint_href
required
string | null
privacy_href
required
string | null
facebook
required
string | null
instagram
required
string | null
youtube
required
string | null
tiktok
required
string | null
linkedin
required
string | null
label_bg_hero_color
required
string | null
Example generated
{ "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "workspace_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "name": "example", "slug": "example", "is_primary_brand": true, "is_published": true, "short_url": "example", "locale": "example", "country_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "city": "example", "street": "example", "zipcode": "example", "email": "example", "phone": "example", "managing_director_under_commercial_law": "example", "vat": "example", "company_registration_number": "example", "producer_identification_number": "example", "organic_certification_number": "example", "commercial_court": "example", "logo_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "primary_brand_asset_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "default_bottler_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "default_distributor_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "ppwr_importer_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "ppwr_manufacturer_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "website": "example", "webshop": "example", "imprint": "example", "imprint_href": "example", "privacy_href": "example", "facebook": "example", "instagram": "example", "youtube": "example", "tiktok": "example", "linkedin": "example", "label_bg_hero_color": "example"}Invalid body
Media typeapplication/problem+json
object
type
required
string
title
required
string
status
required
number
detail
string
Example generated
{ "type": "example", "title": "example", "status": 1, "detail": "example"}Missing or invalid bearer token
Media typeapplication/problem+json
object
type
required
string
title
required
string
status
required
number
detail
string
Example generated
{ "type": "example", "title": "example", "status": 1, "detail": "example"}Brand not found or not writable
Media typeapplication/problem+json
object
type
required
string
title
required
string
status
required
number
detail
string
Example generated
{ "type": "example", "title": "example", "status": 1, "detail": "example"}Upstream error
Media typeapplication/problem+json
object
type
required
string
title
required
string
status
required
number
detail
string
Example generated
{ "type": "example", "title": "example", "status": 1, "detail": "example"}